Browse Category
curl --request GET \
--url https://scrapebadger.com/v1/amazon/category \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/amazon/category"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/amazon/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/amazon/category",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/amazon/category"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/amazon/category")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/amazon/category")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"node": "172282",
"domain": "com",
"results": [
{
"position": 1,
"asin": "B0CHWRXH8B",
"title": "Bose QuietComfort Ultra Wireless Earbuds",
"link": "https://www.amazon.com/dp/B0CHWRXH8B",
"image": "https://m.media-amazon.com/images/I/61abc123.jpg",
"price": {
"value": 249,
"currency": "USD",
"symbol": "$",
"raw": "$249.00"
},
"list_price": null,
"unit_price": null,
"rating": 4.4,
"ratings_total": 12480,
"is_prime": true,
"is_sponsored": false,
"is_amazons_choice": false,
"is_best_seller": true,
"bought_past_month": null,
"coupon": null,
"availability": "In Stock"
}
],
"pagination": {
"current_page": 1,
"total_pages": 20,
"total_results": 660
}
}Listings
Browse Category
List products within an Amazon browse-node category.
GET
/
v1
/
amazon
/
category
Browse Category
curl --request GET \
--url https://scrapebadger.com/v1/amazon/category \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/amazon/category"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/amazon/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/amazon/category",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/amazon/category"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/amazon/category")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/amazon/category")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"node": "172282",
"domain": "com",
"results": [
{
"position": 1,
"asin": "B0CHWRXH8B",
"title": "Bose QuietComfort Ultra Wireless Earbuds",
"link": "https://www.amazon.com/dp/B0CHWRXH8B",
"image": "https://m.media-amazon.com/images/I/61abc123.jpg",
"price": {
"value": 249,
"currency": "USD",
"symbol": "$",
"raw": "$249.00"
},
"list_price": null,
"unit_price": null,
"rating": 4.4,
"ratings_total": 12480,
"is_prime": true,
"is_sponsored": false,
"is_amazons_choice": false,
"is_best_seller": true,
"bought_past_month": null,
"coupon": null,
"availability": "In Stock"
}
],
"pagination": {
"current_page": 1,
"total_pages": 20,
"total_results": 660
}
}Query Parameters
Amazon browse-node id to list products from. You can find browse-node ids in product
bestsellers_rank links or category URLs (node=...).Sort order for results.
| Value | Description |
|---|---|
relevance | Best match (default) |
price_low_to_high | Cheapest first |
price_high_to_low | Most expensive first |
avg_review | Highest customer rating first |
newest | Most recently added |
Response
Array of products in the category.
Show SearchResult object
Show SearchResult object
Example Response
{
"node": "172282",
"domain": "com",
"results": [
{
"position": 1,
"asin": "B0CHWRXH8B",
"title": "Bose QuietComfort Ultra Wireless Earbuds",
"link": "https://www.amazon.com/dp/B0CHWRXH8B",
"image": "https://m.media-amazon.com/images/I/61abc123.jpg",
"price": { "value": 249.0, "currency": "USD", "symbol": "$", "raw": "$249.00" },
"rating": 4.4,
"ratings_total": 12480,
"is_prime": true,
"is_best_seller": true,
"availability": "In Stock"
}
],
"pagination": { "current_page": 1, "total_pages": 20, "total_results": 660 }
}
Each category request costs 8 credits. Failed requests are not charged.

